// Code generated by go-swagger; DO NOT EDIT.

package android_keystore_file

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// AndroidKeystoreFileListReader is a Reader for the AndroidKeystoreFileList structure.
type AndroidKeystoreFileListReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *AndroidKeystoreFileListReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewAndroidKeystoreFileListOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewAndroidKeystoreFileListBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewAndroidKeystoreFileListUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 404:
		result := NewAndroidKeystoreFileListNotFound()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewAndroidKeystoreFileListInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewAndroidKeystoreFileListOK creates a AndroidKeystoreFileListOK with default headers values
func NewAndroidKeystoreFileListOK() *AndroidKeystoreFileListOK {
	return &AndroidKeystoreFileListOK{}
}

/*AndroidKeystoreFileListOK handles this case with default header values.

OK
*/
type AndroidKeystoreFileListOK struct {
	Payload *models.V0ProjectFileStorageListResponseModel
}

func (o *AndroidKeystoreFileListOK) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/android-keystore-files][%d] androidKeystoreFileListOK  %+v", 200, o.Payload)
}

func (o *AndroidKeystoreFileListOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.V0ProjectFileStorageListResponseModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAndroidKeystoreFileListBadRequest creates a AndroidKeystoreFileListBadRequest with default headers values
func NewAndroidKeystoreFileListBadRequest() *AndroidKeystoreFileListBadRequest {
	return &AndroidKeystoreFileListBadRequest{}
}

/*AndroidKeystoreFileListBadRequest handles this case with default header values.

Bad Request
*/
type AndroidKeystoreFileListBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AndroidKeystoreFileListBadRequest) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/android-keystore-files][%d] androidKeystoreFileListBadRequest  %+v", 400, o.Payload)
}

func (o *AndroidKeystoreFileListBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAndroidKeystoreFileListUnauthorized creates a AndroidKeystoreFileListUnauthorized with default headers values
func NewAndroidKeystoreFileListUnauthorized() *AndroidKeystoreFileListUnauthorized {
	return &AndroidKeystoreFileListUnauthorized{}
}

/*AndroidKeystoreFileListUnauthorized handles this case with default header values.

Unauthorized
*/
type AndroidKeystoreFileListUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AndroidKeystoreFileListUnauthorized) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/android-keystore-files][%d] androidKeystoreFileListUnauthorized  %+v", 401, o.Payload)
}

func (o *AndroidKeystoreFileListUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAndroidKeystoreFileListNotFound creates a AndroidKeystoreFileListNotFound with default headers values
func NewAndroidKeystoreFileListNotFound() *AndroidKeystoreFileListNotFound {
	return &AndroidKeystoreFileListNotFound{}
}

/*AndroidKeystoreFileListNotFound handles this case with default header values.

Not Found
*/
type AndroidKeystoreFileListNotFound struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AndroidKeystoreFileListNotFound) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/android-keystore-files][%d] androidKeystoreFileListNotFound  %+v", 404, o.Payload)
}

func (o *AndroidKeystoreFileListNotFound) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewAndroidKeystoreFileListInternalServerError creates a AndroidKeystoreFileListInternalServerError with default headers values
func NewAndroidKeystoreFileListInternalServerError() *AndroidKeystoreFileListInternalServerError {
	return &AndroidKeystoreFileListInternalServerError{}
}

/*AndroidKeystoreFileListInternalServerError handles this case with default header values.

Internal Server Error
*/
type AndroidKeystoreFileListInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *AndroidKeystoreFileListInternalServerError) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/android-keystore-files][%d] androidKeystoreFileListInternalServerError  %+v", 500, o.Payload)
}

func (o *AndroidKeystoreFileListInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
